/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.shape;

import java.util.List;
import nl.cloudfarming.client.field.GeoImportSupport;
import nl.cloudfarming.client.field.model.Shape;
import org.openide.WizardDescriptor;
import org.openide.loaders.DataObject;
import org.openide.util.lookup.ServiceProvider;

/**
 * GeoImportSupport for normal shape-files.
 *
 * @author Gerben Feenstra
 */
@ServiceProvider(service = GeoImportSupport.class)
public class ShapeGeoImportSupport implements GeoImportSupport {

    private ShapePreviewController controller;
    
    @Override
    public boolean supports(DataObject dataObject) {
        if (dataObject instanceof ShapeDataObject) {
            return true;
        }
        return false;
    }

    @Override
    public WizardDescriptor.Panel getPreviewPanel(DataObject dataObject) {
        if (supports(dataObject)) {
            controller =  new ShapePreviewController((ShapeDataObject) dataObject);
            return controller;
        } else {
            return null;
        }

    }

    @Override
    public List<Shape> getImportShapes() {
        return controller.getImportShapes();
    }
}
