/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.shape.preview;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JPanel;
import net.miginfocom.swing.MigLayout;

/**
 *
 * @author Gerben Feenstra
 */
public class MarkAsPanel extends JPanel {
    
    public enum MarkType { 
        FIELD("Field"), LINESTRING("Linestring"), UNKNOWN("unknown");
        
        String displayName = "";
        MarkType(String displayName){
            this.displayName = displayName;
        }
        
        @Override
        public String toString(){
            return displayName;
        }
    }
    
    private DefaultComboBoxModel defaultComboBoxModel;
    
    public MarkAsPanel(){

   
        this.setLayout(new MigLayout("wrap 3"));
        this.setBackground(Color.white);
        
        // Build JComboBox
        JComboBox markAsComboBox = new JComboBox();
        defaultComboBoxModel = new DefaultComboBoxModel();
        for(MarkType markType : MarkType.values()){
            defaultComboBoxModel.addElement(markType);
        }
        markAsComboBox.setModel(defaultComboBoxModel);
        
        // Build Button      
        ActionListener actionListener = new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent actionEvent) {
                System.out.println("Button was clicked.");
            }
        };
        JButton doButton = new JButton("do");
        doButton.addActionListener(actionListener);
        
        // Add all
        this.add(markAsComboBox);
        this.add(doButton);
    }

    public MarkType getMark(){
        return (MarkType) defaultComboBoxModel.getSelectedItem();
    }
}
